<div class="row mb-2">
  <div class="col">
  	<div class="row mb-3 h1 justify-content-between align-items-center text-secondary-dark">
      <div class="col-auto">
  		  <span class="display-3 fw-bold" i18n="title@@composition">Composition</span>
      </div>
      <div class="col d-flex justify-content-end">
    		<button [appHelpPopup]="tsHelpTpl"class="btn btn-secondary btn-sm rounded-circle pet-glow-dark-btn-sm-rev">
    			<fa-icon [icon]="iconHelp" class="light-help-svg fa-lg"></fa-icon>
    		</button>
      </div>
  	</div>
  	
  	<div class="row">
  		<div class="col mb-2 bg-secondary-dark pet-main-diagonal-rounded text-tertiary-light"	i18n="label@@ingredients">Ingredients</div>
  	</div>
  	
  	<div class="row">
  		<form class="col p-0" [formGroup]="ingForm">
  			<div cdkDropList (cdkDropListDropped)="dropIq($event)" formArrayName="ingQuotasList">
  				<div [formGroupName]="i" *ngFor="let iq of ingQuotasListFormArray.controls; let i=index" cdkDrag>
  					<div class="input-group flex-nowrap bg-light rounded border border-secondary-light pet-glow-secondary">
							<span class="input-group-text border-0 p-1"> 
							 <fa-icon [icon]="iconMove" class="dark-svg" cdkDragHandle></fa-icon>
							</span>
  						<input formControlName="ingredient" type="text" class="form-control bg-light border-0" [ngbTypeahead]="searchIngredients"/>
  						<input formControlName="ingPerc" type="number" class="form-control p-1 pet-flex-grow-50 bg-light pet-left-border border-secondary-light"/>
							<span class="input-group-text border-0 p-1">%</span>
							<button *ngIf="ingQuotasListFormArray.length>1 || editType==='MODIFY'" class="btn btn-sm btn-secondary-lightest p-1"
								type="button" (click)="rmIq(i)">
								<fa-icon [icon]="iconTrash" class="dark-svg"></fa-icon>
							</button>
  					</div>
  					<button class="mb-1 btn btn-sm btn-secondary border-secondary-dark pet-glow-secondary-btn rounded-0 ms-4 py-0"
  						type="button" (click)="cqCollapsed[i] = !cqCollapsed[i]">
  						<fa-icon [icon]="iconExpand" class="light-svg"></fa-icon>
  					</button>
  					<div cdkDropList (cdkDropListDropped)="dropCq(iq, $event)" class="col-11 ms-auto p-0">
  						<div id="comp_{{i}}" [ngbCollapse]="cqCollapsed[i]" formArrayName="compQuotasList">
  							<div [formGroupName]="j" *ngFor="let cq of getCompQuotasListOf(iq).controls; let j=index" cdkDrag>
  								<div class="m-auto flex-nowrap input-group mb-1 bg-light rounded 
  											border border-secondary-light pet-glow-secondary" cdkDragHandle>
										<span class="input-group-text border-0 p-1"> <fa-icon [icon]="iconMove" class="dark-svg" cdkDragHandle></fa-icon></span>
  									<input formControlName="component" type="text" class="form-control px-0 bg-light border-0" [ngbTypeahead]="searchComponents"/>
  									<input formControlName="compPerc" type="number" class="form-control p-1 pet-flex-grow-50 bg-light pet-left-border border-secondary-light"/>
										<span class="input-group-text border-0 p-1">%</span>
										<button class="btn btn-sm btn-secondary-lightest p-1" type="button" (click)="rmCq(iq, j)">
											<fa-icon [icon]="iconTrash" class="dark-svg"></fa-icon>
										</button>
  								</div>
  							</div>
  							<button class="btn btn-secondary btn-sm rounded-circle border border-secondary-dark pet-glow-secondary-btn"
  								type="button" (click)="pushCqTo(iq)">
  								<fa-icon [icon]="iconPlus" class="light-svg"></fa-icon>
  							</button>
  						</div>
  						<hr>
  					</div>
  				</div>
  				<button class="btn btn-secondary btn-sm rounded-circle border border-secondary-dark pet-glow-secondary-btn"
  					type="button" (click)="addIq()">
  					<fa-icon [icon]="iconPlusCircle" class="light-svg"></fa-icon>
  				</button>
  				<hr>
  			</div>
  
  		</form>
  	</div>
  
  	<div>
  	<div class="row">
  		<div class="col mb-2 bg-secondary-dark pet-main-diagonal-rounded text-tertiary-light"	i18n="label@@analysis">Analysis</div>
  	</div>
  	
  		<form class="mb-2" [formGroup]="analysisForm">
  			<div class="m-auto flex-nowrap input-group input-group-sm bg-light rounded border border-secondary-light pet-glow-secondary">
					<label class="input-group-text border-0 p-1" i18n="@@protein">Protein</label>
  				<input formControlName="rawProtein" type="number" class="col-4 ms-auto border-0" min="0" max="100" step="0.1"/>
					<span class="input-group-text border-0 p-1">%</span>
  			</div>
  
  			<div class=" m-auto flex-nowrap input-group input-group-sm bg-cool-white rounded border border-secondary-light pet-glow-secondary">
					<label class="input-group-text border-0 p-1" i18n="@@fibre">Fibre</label>
  				<input formControlName="rawFibre" type="number" class="col-4 ms-auto border-0" min="0" max="100" step="0.1" />
					<span class="input-group-text border-0 p-1">%</span>
  			</div>
  
  			<div class="m-auto flex-nowrap input-group input-group-sm bg-light rounded border border-secondary-light pet-glow-secondary">
					<label class="input-group-text border-0 p-1" i18n="@@oilfat">Oil and Fat</label>
  				<input formControlName="rawOilFat" type="number" class="col-4 ms-auto border-0" min="0" max="100" step="0.1" />
					<span class="input-group-text border-0 p-1">%</span>
  			</div>
  
  			<div class="m-auto flex-nowrap input-group input-group-sm bg-cool-white rounded border border-secondary-light pet-glow-secondary">
					<label class="input-group-text border-0 p-1" i18n="@@ashes">Ashes</label>
  				<input formControlName="rawAshes" type="number" class="col-4 ms-auto border-0" min="0" max="100" step="0.1" />
					<span class="input-group-text border-0 p-1">%</span>
  			</div>
  
  			<div class="m-auto flex-nowrap input-group input-group-sm bg-light rounded border border-secondary-light pet-glow-secondary">
					<label class="input-group-text border-0 p-1" i18n="@@calcium">Calcium</label>
  				<input formControlName="calcium" type="number" class="col-4 ms-auto border-0" min="0" max="100" step="0.1" />
					<span class="input-group-text border-0 p-1">%</span>
  			</div>
  
  			<div class="m-auto flex-nowrap input-group input-group-sm bg-cool-white rounded border border-secondary-light pet-glow-secondary">
					<label class="input-group-text border-0 p-1" i18n="@@sodium">Sodium</label>
  				<input formControlName="sodium" type="number" class="col-4 ms-auto border-0" min="0" max="100" step="0.1" />
					<span class="input-group-text border-0 p-1">%</span>
  			</div>
  
  			<div class="m-auto flex-nowrap input-group input-group-sm bg-light rounded border border-secondary-light pet-glow-secondary">
					<label class="input-group-text border-0 p-1" i18n="@@phosphorus">Phosphorus</label>
  				<input formControlName="phosphorus" type="number" class="col-4 ms-auto border-0" min="0" max="100" step="0.1" />
					<span class="input-group-text border-0 p-1">%</span>
  			</div>
  
  			<div class="m-auto flex-nowrap input-group bg-cool-white rounded border border-secondary-light pet-glow-secondary">
					<label class="input-group-text border-0 p-1" i18n="label@@moisture">Moisture</label>
  				<input formControlName="moisture" type="number" class="col-4 ms-auto border-0" min="0" max="100" step="0.1" />
					<span class="input-group-text border-0 p-1">%</span>
  			</div>
  
  			<div class="m-auto flex-nowrap input-group bg-light rounded border border-secondary-light pet-glow-secondary">
					<label class="input-group-text border-0 p-1" i18n="label@@energy">Energy</label>
  				<input formControlName="energy" type="number" class="col-4 ms-auto border-0" />
					<span class="input-group-text border-0 p-1">Kcal</span>
  			</div>
  
  		</form>
  
  		<div class="row mt-5">
        <div class="col d-flex justify-content-center">
    			<button type="button" (click)="onSubmit()" id="submit" 
    				[disabled]="(!ingForm.valid || !analysisForm.valid) || (!ingForm.dirty && !analysisForm.dirty)"
    				class="btn btn-lg btn-primary-dark pet-btn-big border-primary-fluo pet-glow-dark-btn">Submit</button>
        </div>
    		<div class="col d-flex justify-content-center">
    			<a [routerLink]="['/product', 'view']" [queryParams]="{id: id}"
    				class="btn btn-lg btn-danger pet-btn-big pet-nav-button border-danger pet-glow-dark-btn">Cancel</a>
    		</div>
  		</div>
  	</div>
  </div>
</div>

<ng-template #tsHelpTpl>
<div class="pet-help-panel pet-glow-info">
	<div class="card-header">
		<p class="card-text">
			<b i18n="help|@@tsHelpHeader">Come inserire la composizione</b>
		</p>
	</div>
	<div class="card-body h-100 overflow-auto">
		<p class="card-text" i18n="help|@@tsHelpBody">TODO</p>
	</div>
</div>
</ng-template>
